shadow/tests/failures/grpconv/02_grpconv_open_gshadow_failure/grpconv.test

59 lines
1.4 KiB
Plaintext
Raw Normal View History

#!/bin/sh
set -e
cd $(dirname $0)
. ../../../common/config.sh
. ../../../common/log.sh
log_start "$0" "grpconv report failures when it cannot open the gshadow file"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Remove the gshadow file..."
rm -f /etc/gshadow
echo "OK"
echo -n "Enable gshadow passwords (grpconv)..."
LD_PRELOAD=../../../common/open_RDWR_failure.so FAILURE_PATH=/etc/gshadow grpconv 2>tmp/grpconv.err && exit 1 || {
status=$?
}
echo "OK"
echo -n "Check returned status ($status)..."
test "$status" = "1"
echo "OK"
echo "grpconv reported:"
echo "======================================================================="
cat tmp/grpconv.err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au data/grpconv.err tmp/grpconv.err
echo "error message OK."
rm -f tmp/grpconv.err
echo -n "Check the passwd file..."
../../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
test ! -f /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0